- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Typedefs
md5.h File Reference
`#include <string>`
`#include <cstdlib>`

Go to the source code of this file.

## Classes
class | md5::digest
| A class that calculates an md5 digest from one or more 64-byte blocks of data using the algorithm described by RFC 1321. More...
struct | md5::digest::state_type
| Holds the md5 algorithm state. Used by md5::digest. More...
class | md5::format
| A static string-formatting class for the output of md5::digest. More...
class | md5::block
| A helper class used by the md5::digest implementation to represent a 64-character data block. More...
class | md5::digest_stream
| A class that calculates an md5 digest from a data stream using the algorithm described by RFC 1321. More...
struct | md5::digest_stream::state_type
| < Holds the state of an md5 digest stream. Used by md5::digest_stream. More...

## Namespaces
| md5
| A standalone implementation of the MD5 hashing algorithm.

## Typedefs
typedef std::string | md5::string_type
| A string type. More...
typedef std::string::size_type | md5::size_type
| A std::size_t type. More...
typedef size_type | md5::big_t
| To hold at least 32 bits, maybe more. Try unsigned long on small systems. More...
typedef size_type | md5::small_t
| To hold at least a size_t. Must fit in a big_t. More...
typedef char | md5::assert_big_t_is_big_enough[sizeof(big_t)>=4U?1:-1]
| A static assertion check. More...
typedef char | md5::assert_small_t_is_big_enough[sizeof(small_t)>=sizeof(size_type)?1:-1]
| A static assertion check. More...